View Javadoc

    1   /* Generated By:JJTree: Do not edit this line. ASTDoctypeDeclaration.java */
    2
    3   package net.sourceforge.pmd.lang.jsp.ast;
    4
    5   public class ASTDoctypeDeclaration extends AbstractJspNode {
    6
    7       /* BEGIN CUSTOM CODE */
    8
    9       /**
    10       * Name of the document type. Cannot be null.
    11       */
    12      private String name;
    13
    14      /**
    15       * @return Returns the name.
    16       */
    17      public String getName() {
    18          return name;
    19      }
    20
    21      /**
    22       * @param name The name to set.
    23       */
    24      public void setName(String name) {
    25          this.name = name;
    26      }
    27  /* END CUSTOM CODE */
    28
    29      public ASTDoctypeDeclaration(int id) {
    30          super(id);
    31      }
    32
    33      public ASTDoctypeDeclaration(JspParser p, int id) {
    34          super(p, id);
    35      }
    36
    37
    38      /**
    39       * Accept the visitor. *
    40       */
    41      public Object jjtAccept(JspParserVisitor visitor, Object data) {
    42          return visitor.visit(this, data);
    43      }
    44  }